Aller au contenu
DroneBuilds

Bind R-XSR / Taranis QX7


Messages recommandés

Bonjour à tous,

Je suis nouveau dans le FPV. Après voir joué un temps avec un drone Eachine "stabilisé" je me suis vite ennuyé et ait décidé de passer sur du FPV.
Après l'achat d'une Taranis QX7 et une paire de lunette FPV pour m'entrainer sur simulateur, et quelques dizaines d'heures d'entrainement, j'ai finalement jeté mon dévolu sur l'acquisition d'un Nazgul5 de chez IFlight.

Tout content de recevoir mon joujou il y a une petite semaine maintenant je me suis collé devant plein de tutos pour le paramétrage de ma Taranis et j'en suis arrivé au bind avec le récepteur R-XSR que j'avais commandé avec le drone (BNF). Et la malheur le bind ne fonctionne pas, les 3 LED verte, bleue et rouge du récepteur restent allumés...

J'ai d'abord regardé si mon récepteur était bien SBUS et pas en CPPM et oui pas de problème de ce côté.

Après quelques recherches sur internet je comprends qu'à priori ma Taranis est en EU-LBT (achetée sur un site français) et que mon récepteur est dans une autre version (acheté sur Aliexpress), et que les deux ne sont pas compatibles.
J'ai vu que le plus simple était de flasher le récepteur pour le mettre en version LBT afin qu'il puisse parler avec la radio commande.
Je me suis donc lancé dans l'aventure non sans mal car je suis loin de maitrise tout le jargonage technique SBUS/FPORT/...

Premier problème je n'arrivais pas à flasher mon récepteur depuis la tarants car j'avais un message : "FW update error bottom pin no resp".
Sur mon R-XSR j'avais 3 fils, le 5V, le ground et le fil jaune branché sur SBUS Out.
J'ai voulu faire un test en branchant le fil jaune sur mon récepteur sur la sortie FPORT  et là miracle, j'ai pu flasher mon récepteur en LBT.

Une fois rebranché sur la carte de vol, après avoir remis le fil jaune sur la sortie SBUS Out, je n'arrive toujours pas à binder j'en reviens aux 3 LED allumées en constant...
J'ai essayé de binder en mettant le fil jaune sur la sortie FPORT mais même résultat. J'imagine que cette idée était un peu débile car si j'ai bien compris le petit bout de notice que j'ai eu avec le drone sur ma carte de vol le récepteur est soudé pour du SBUS et non pas du FPORT... Il est branché en "nR2".

Je suis maintenant complètement perdu et je ne sais plus quoi faire pour arriver à binder mon récepteur avec ma radio commande...
Si vous avez des conseils je suis preneur.

Merci d'avance !

Modifié (le) par Optimam
Lien à poster
Partager sur d’autres sites

Tu as flasher avec quel fichier (le nom), tu l’a downloadé chez FrSky ? (ton RX (r-xsr))

tu vas sur la page 7/7 dans le menu SYS de ta radio et tu fais une photo que tu peux poster ici, c’est pour vérifier qu’elle version de firmware tu as.

Tu peux regarder sur ce site, la bible OpenTX pour le flashage, tu dois utiliser les 3 premier fils de ton RX pour flasher et faire attention au sens de l’alimentation. https://opentx-doc.fr/wiki/flasher-un-rx-depuis-sa-radio
 

Lien à poster
Partager sur d’autres sites

Merci pour ta réponse Attafr

J'ai pris le fichier ici : https://www.frsky-rc.com/r-xsr/
J'ai flash en utilisant le fichier nommé RXSR_ACCST_2.1.0_LBT.frk

Pour te répondre sur la version voici une photo : https://drive.google.com/file/d/1yVcgvL6hvcaBM4Zk_GDDC90WqFN-BnoK/view?usp=sharing

Au fil du lien que tu donnes j'ai bien branché pour flasher le récepteur.

Merci d'avance de vos conseils.

Lien à poster
Partager sur d’autres sites
Youtube WE are FPV
il y a 18 minutes, Optimam a dit :

J'ai flash en utilisant le fichier nommé RXSR_ACCST_2.1.0_LBT.frk

Le problème dans l’image que tu m’as posté, on voit pas la version du module ACCST, mais je subodore que tu es en 1.x.et non en 2.x !

Tu peux essayer avec celui-ci: R-XSR_LBT_2019-03-11.frk

Lien à poster
Partager sur d’autres sites

Où est-ce que je peux voir la version sur la taranis ?

Si c'est le fichier .frk je te confirme que le fichier que j'ai téléchargé porte bien le numéro de version 2.1.0 Voici le readme que j'ai eu avec readme.txt

Je vais tester avec le tien 🙂

Est-ce normal par contre que pour flasher le module je doive changer de place le fil jaune pour le passer de la borne SBUS Out à la borne FPORT ?
Et est-ce que je dois bien remettre la fiche à la bonne place après ?

Merci d'avance

Lien à poster
Partager sur d’autres sites

C’est la borne SPort pas FPort, mais c’est effectivement cette borne que tu connectes à un TX pour utiliser FPort !

normalement quand tu reçois ton r-xsr tu as plusieurs câble un qui permet de flasher après avoir croisé +/- et un que tu utilises pour brancher sur le qwad !

pour voir la version avec OpenTX 2.2.x, je me rappel plus ? Mais je suis sûre que tu es en 1.x pour le protocole ACCST alors que tu as mis ton RX en ACCST 2.x (ce qui n’a rien à voir avec la version OpenTX 2.2.x)

883D215F-C766-4DFE-A728-E5CB8C63155D.jpeg.feabb4c49623c6f237874ef35deb34e3.jpeg

Modifié (le) par Attafr
Lien à poster
Partager sur d’autres sites
Posté(e) (modifié)

Du coup je viens de refaire la manip sur OpenTX car tu avais peut-être raison pour la version. Je n'ai pas réussi à voir dans quelle version j'étais mais j'ai fais une mise à jour pour passer en 2.3.8.

J'ai pris une photo de la radio en la lançant en mode boot : https://drive.google.com/file/d/1yaz8RkE9yG8QWWIrwlec71k5tQMEspjJ/view?usp=sharing
Ca confirme bien le 2.3.8

J'ai fais un test de bind mais ça ne change rien. Après je n'ai pas encore réessayé de flasher le récepteur avec le fichier que tu m'as donné.

Modifié (le) par Optimam
Lien à poster
Partager sur d’autres sites

Il faudra aussi mettre à jour le bootloader ! 

https://opentx-doc.fr/wiki/flasher-le-bootloader
 

la version OpenTX n’a rien à voir avec le module interne de la radio... tu as en interne un module XJT (iXJT) qui lui contient ACCST version 1.x ou 2.x... ton module interne est sûrement en 1.x, donc il faut que ton RX soit également en 1.x !

 https://opentx-doc.fr/wiki/flasher-le-module-rf-interne

Après dans l’ACCST tu as encore une autre problématique, c’est FCC(US/autre) ou LBT(EU).

si tu as acheté ta radio en Europe tu es certainement en LBT !

Lien à poster
Partager sur d’autres sites
Posté(e) (modifié)

Du coup j'ai suivi tes conseils et flash le bootloader en 2.3.8.

Concernant le flash du module interne, si je suis le tuto que tu m'as donné, la première chose à faire est de télécharge le pack SD sauf que ça s'arrête à la version 2.3.7 et il n'y a pas la mienne... Je peux prendre le 2.3.7 où il faut que j'attende que le 2.3.8 sorte ? https://opentx-doc.fr/wiki/packs-carte-sd

J'ai l'impression d'avoir la poisse des fois 🤣 Quand j'essaie de suivre les autos/conseils qu'on me donne il y a souvent un truc qui coince. Sinon autre solution : je suis pas doué et j'y connais rien 🤔

Merci de ton aide en tout cas

Modifié (le) par Optimam
Lien à poster
Partager sur d’autres sites

mets déjà à jour ton RX !!


Quand tu as fais la MàJ en 2.3.8, tu as refait ta carte SD ?

tu peux utiliser la 2.3.7, mais la radio risque de gueuler... c’est pas très grave tu peux éditer le fichier « opentx.sdcard.version » et 2.3.8 !

https://opentx-doc.fr/wiki/opentx-2-3-3-2-3-4-et-2-3-5-2-3v0025-2019-12-20

prend aussi la section FIRMWARE

https://opentx-doc.fr/wiki/firmwares-2020-04-01

Modifié (le) par Attafr
Lien à poster
Partager sur d’autres sites

La mise à jour du RX ✅

Le flash du module interne ✅
J'ai trouvé le bon pack SD dans les note de la version 2.3.8 (qui est sortie aujourd'hui...) https://www.open-tx.org/2020/06/13/opentx-2.3.8
J'ai pris le firmware ACCST V2 et le fichier XJT_LBT_v2.1.0.frk

J'ai refait un test de bind après tout ça et j'ai toujours mes 3 LED bleue, verte et rouge qui restent allumées en continu pendant la tentative 😢

J'ai raté un truc ?

Merci d'avance

Lien à poster
Partager sur d’autres sites

Du coup tu as flashé ton module interne avec XJT... il faut flasher avec iXJT  1.x ou 2.x

et le R-XSR Avec 1.x LBT ou 2.xLBT

1.X CAUSE AVEC 1.X

2.X AVEC 2.X

Lien à poster
Partager sur d’autres sites

Alors histoire que je refasse pas une bêtise en ne prenant pas les bons fichiers 😅

Je flash le module interne en iXJT avec le fichier en ACCST V2 qui s'appelle iXJT_LBT_v2.1.0.frk

Est-ce que j'ai besoin de reflasher aussi le récepteur sachant que là il est flashé avec le fichier que tu m'as donné au début de la conversation ?
J'ai le doute car quand je vais sur le site de FrSky https://www.frsky-rc.com/r-xsr/ dans la catégorie ACCST D16 Firmware, le fichier s'appelle ACCST D16 v2.1.0 mais il est marqué en dessous "History firmware DOWNLOAD (not compatible with v2.x.x)".

Sur les vidéos avant de commencer à bidouiller ça paraissait quand même vachement plus simple ...

Merci d'avance

Lien à poster
Partager sur d’autres sites

Bon beh pas de mieux après le Flash de la radio en iXJT.

Après je n'ai pas retouché au récepteur.

Côté positif j'ai quand même voulu voir si la réception vidéo marchait et pas de problème de ce côté 😅

Lien à poster
Partager sur d’autres sites

C'est une bonne nouvelle du coup ça veut dire que je peux encore garder espoir 🤣

Je vais voir si j'ai le temps de tester ça ce soir ou si ça attendra demain.

Merci en tout cas.

Lien à poster
Partager sur d’autres sites

Bon beh espoirs vains 😢

RX flashé avec la bonne version mais pour le bind je reste toujours sur les led rouge et verte en allumage continu...

Je pense que je vais me racheter un récepteur en France et tenter comme ça car là ça me déprime cette histoire !

Lien à poster
Partager sur d’autres sites

Dans la radio je vais dans mon modèle et dans "NumRX" je clique sur BnD.

Ensuite j'appuie sur le bouton du bind du RX pendant que je branche la LiPo.

J'espère que de ce côté il n'y a pas de problème au moins...

Par contre ça m'a permis de me rendre compte que dans le "HF Interne" il y a marqué XJT et non pas iXJT, mais je ne peux pas le changer je n'ai que XJT et OFF en option. C'est normal ?
Par contre je suis certain d'avoir bien flashé la radio en iXJT.
Une photo pour illustrer : https://drive.google.com/file/d/1yinYvpVt9cgA-Ab5g0p8NJUyQNsLcpa_/view?usp=sharing

Lien à poster
Partager sur d’autres sites

Tu aurais du flasher le rx avec le premier fichier que je t’avais envoyé, on en serait pas là!

la 2.3.8 est bugée, ils viennent de sortir une 2-3.9 !

moi je reste en 2-3.7 et module interne et rx en 1.x et j’ai aucune intention de passer en 2.x !

Lien à poster
Partager sur d’autres sites
Il y a 2 heures, Optimam a dit :

Dans la radio je vais dans mon modèle et dans "NumRX" je clique sur BnD.

Ensuite j'appuie sur le bouton du bind du RX pendant que je branche la LiPo.

J'espère que de ce côté il n'y a pas de problème au moins...

Par contre ça m'a permis de me rendre compte que dans le "HF Interne" il y a marqué XJT et non pas iXJT, mais je ne peux pas le changer je n'ai que XJT et OFF en option. C'est normal ?
Par contre je suis certain d'avoir bien flashé la radio en iXJT.
Une photo pour illustrer : https://drive.google.com/file/d/1yinYvpVt9cgA-Ab5g0p8NJUyQNsLcpa_/view?usp=sharing

Pour la procédure de bind, fais dans l’autre sens

tu mets le rx en mode bind. Appuyer sur le bouton, alimenter, lâcher le bouton, les 3 LEDs sont allumées fixe.

Radio selectionner XJT D16, canal 1-8, appuis sur [BND], telemetry 1-8, la radio bip-bip..., la led rouge du rx clignote !

tu arrête le bind sur la radio, tu débranches le rx, tu rebranches le rx led verte et bleue fixe 

XJT c’est normal sur la sélection 

Modifié (le) par Attafr
Lien à poster
Partager sur d’autres sites

J'ai tout passé en 2.3.9 mais ça ne marche toujours pas... Je ne dois pas être doué...

J'ai fait une petite vidéo pour illustrer la tentative de bind. Je ne sais pas si ça peut aider... La vidéo commencer après le branchement de la LiPo en appuyant sur le bouton du Rx.

https://drive.google.com/file/d/1zUWiOpNnnn7t69ebwyMMvaABsXSzyyu9/view?usp=sharing

Lien à poster
Partager sur d’autres sites

Créer un compte ou se connecter pour commenter

Vous devez être membre afin de pouvoir déposer un commentaire

Créer un compte

Créez un compte sur notre communauté. C’est facile !

Créer un nouveau compte

Se connecter

Vous avez déjà un compte ? Connectez-vous ici.

Connectez-vous maintenant
×
×
  • Créer...